Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QAbstractXmlNodeModel.SimpleAxis

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xmlpatterns.QAbstractXmlNodeModel.SimpleAxis

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractXmlNodeModel

    public static final class QAbstractXmlNodeModel.SimpleAxis

extends java.lang.Enum
implements QtEnumerator

Four axes that each contain one node only.

See Also:
  Serialized Form

Field Summary
`static QAbstractXmlNodeModel.SimpleAxis` | `FirstChild` The first child of the context node
`static QAbstractXmlNodeModel.SimpleAxis` | `NextSibling` The next child of the context node
`static QAbstractXmlNodeModel.SimpleAxis` | `Parent` The parent of the context node
`static QAbstractXmlNodeModel.SimpleAxis` | `PreviousSibling` The previous child of the context node

Method Summary
`static QAbstractXmlNodeModel.SimpleAxis` | `resolve(int value)` Returns the QAbstractXmlNodeModel$SimpleAxis constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractXmlNodeModel.SimpleAxis` | `valueOf(java.lang.String name)`
`static QAbstractXmlNodeModel.SimpleAxis[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Parent

    public static final QAbstractXmlNodeModel.SimpleAxis Parent

  The parent of the context node

### FirstChild

    public static final QAbstractXmlNodeModel.SimpleAxis FirstChild

  The first child of the context node

### PreviousSibling

    public static final QAbstractXmlNodeModel.SimpleAxis PreviousSibling

  The previous child of the context node

### NextSibling

    public static final QAbstractXmlNodeModel.SimpleAxis NextSibling

  The next child of the context node

Method Detail

### values

    public static QAbstractXmlNodeModel.SimpleAxis[] values()

### valueOf

    public static QAbstractXmlNodeModel.SimpleAxis valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractXmlNodeModel.SimpleAxis resolve(int value)

  Returns the QAbstractXmlNodeModel$SimpleAxis constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD